import StateManager from '.';
import { P2P } from '@shardeum-foundation/lib-types';
/**
 * Help provide a list of archivers that can be used to ask for data
 * Intialize the list and use the dataSourceArchiver
 * If you need another archiver to talk to call tryNextDataSourceArchiver
 */
export default class ArchiverDataSourceHelper {
    stateManager: StateManager;
    dataSourceArchiver: P2P.ArchiversTypes.JoinedArchiver;
    dataSourceArchiverList: P2P.ArchiversTypes.JoinedArchiver[];
    dataSourceArchiverIndex: number;
    constructor(stateManager: StateManager);
    initWithList(listOfArchivers: P2P.ArchiversTypes.JoinedArchiver[]): void;
    /**
     * tryNextDataSourceArchiver
     * @param debugString
     */
    tryNextDataSourceArchiver(debugString: string): boolean;
    tryRestartList(debugString: string): boolean;
    getNumberArchivers(): number;
}
